# ===================================
#  Form Field Definitions
# ===================================

tabs:
    fields:

        ####
        enabled_buttons:
            tab: netsti.editor::lang.settings.main_settings
            span: left
            label: netsti.editor::lang.settings.main_settings
            type: checkboxlist
        permissions:
            tab: netsti.editor::lang.settings.main_settings
            span: right
            label: netsti.editor::lang.settings.permissions
            commentAbove: netsti.editor::lang.settings.permissions_comment
            default: 'cms.manage_content'
        image_folder:
            tab: netsti.editor::lang.settings.main_settings
            span: right
            label: netsti.editor::lang.settings.image_folder
            commentAbove: netsti.editor::lang.settings.image_folder_comment
            default: 'editor'

        ####
        style_palettes:
            tab: netsti.editor::lang.settings.style_palettes
            label: netsti.editor::lang.settings.style_palettes
            type: repeater
            mode: array
            form:
                fields:
                    name:
                        label: netsti.editor::lang.settings.name
                        span: left
                    class:
                        label: netsti.editor::lang.settings.class
                        span: right
                    allowed_tags:
                        label: netsti.editor::lang.settings.allowed_tags
                        default: "['p','div','img']"
                        type: taglist
                        mode: array
                        options: true

        ####
        # TODO: later :-)
        # external_css:
        #     tab: Style palettes CSS
        #     type: codeeditor
        #     size: huge
        #     language: css
